Weav

Get training data

GET https://api.weav.com/v1/training-data/{id}

Requires a token with the external-api:read or external-api:write ability.

Path parameters

idstringrequired

Format: uuid.

Request

cURL
curl --request GET \
  --url 'https://api.weav.com/v1/training-data/{id}' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}"
JavaScript
const response = await fetch("https://api.weav.com/v1/training-data/{id}", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
  }
});
console.log(await response.json());
Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/training-data/{id}", headers=headers)
print(response.json())
PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/training-data/{id}', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();

Response

200 OK
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "type": "text",
    "source": "string",
    "title": "string",
    "description": "string",
    "slug": "string",
    "is_processed": false,
    "status": "queued",
    "training_folder_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
}
  • 404 Not Found
  • 401 Unauthorized

Response fields

idstring

Format: uuid.

typestring

One of: text, url, file, video, qa.

sourcestring
titlestring | null
descriptionstring | null
slugstring | null
is_processedboolean
statusstring | null

One of: queued, processing, completed, failed.

training_folder_idstring | null

Format: uuid.

created_atstring | null

Format: date-time.

updated_atstring | null

Format: date-time.